QGIS 3.0 - Data Source Manager Dialog - default behavior has changed
Status: Closed
Priority: Low
Assignee:

Category: GUI

Affected QGIS version:master
Operating System: Linux, Ubuntu
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: Yes
Resolution: fixed/implemented

Copied to github as #: 26045

Description

At some point in the last months the default behavior of the Data Source Manager Dialog has changed so that when open, no interaction

with the main window is possible.

| assume this has to do with the missing 'min’, 'full’ window buttons (on my system right) together with the 'X' button to close the dialog.

When selecting Layers, it is useful to see/confirm that one is loading everything that is wanted.
This behavior also make the 'Keep dialog open' CheckBox, that many SourceSelect's offer, rather useless.

This was probably just overlooked during some overall. but is really counterproductive in its present state.

Associated revisions

Revision 1090312¢c - 2018-02-26 06:33 PM - Harrissou Santanna

Add more information to modeless option

fix #18152

Revision 7487be0e - 2018-02-27 02:24 AM - Harrissou Santanna

Add more information to modeless option

fix #18152

(cherry-picked from 1090312c64)

History

#1 - 2018-02-20 07:21 AM - Mark Johnson

This observation is based on the code as of 2018-02-10.

#2 - 2018-02-21 12:04 AM - Richard Duivenvoorde

Mark we are talking here about modal vs non modal dialogs isn't it?

In current master, the Data Source Manager Dialog is NOT modal, that is if it is opened and | just added a layer/datasource, | can still pan the map, or
change visibility in the layer manager.

Is that different from what you describe? I'm on Debian here, latest master

#3 - 2018-02-21 05:12 AM - Mark Johnson
- File 20180220.DataSourceManager.png added

Based on a rebase from yesterday of master, this problem still occurs.
(QGIS version 2.99.0-Master QGIS code revision 789756d)
Ubuntu 14.10 using GNOME.

While the Data Source Manager Dialog (with only an X-Button, instead of the Min/Full/X-Buttons) is open, the main QGis cannot be activated. (see Image)

#4 - 2018-02-22 03:53 PM - Regis Haubourg
| confirm that on ubuntu 16.04 with 585a4d3 that the dialog is modal, not letting any use of the underlying QGIS main interface.

Not sure it is a high priority though

#5 - 2018-02-22 06:06 PM - Regis Haubourg
- Status changed from Open to Feedback
- Priority changed from High to Low

Oh,

by chance | discovered that it is now a setting in the option dialog/General tab. So Mark, can you confirm changing the option solves your issue?

#6 - 2018-02-23 04:19 AM - Mark Johnson

Yes, that seems to help, assuming you know the difference (which | always forget) between modal and non modal dialogs.

Class Qt.WindowModality

A modal window is one that blocks input to other windows. Note that windows that are children of a modal window are not blocked.

So a ToolTip with 'A modal window is one that blocks input to other windows." would be useful.

It still only has an X-Button, instead of the Min/Full/X-Buttons, so you have to maneuver the window out of the way instead of pressing 'Min' which is the

expected behavior.

#7 - 2018-02-27 02:18 AM - Harrissou Santanna
- Status changed from Feedback to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|1090312c64dc673d79fca904ec507¢c7797ef949e.

#8 - 2018-03-01 02:27 PM - Giovanni Manghi
- Resolution set to fixed/implemented

Files

20180220.DataSourceManager.png 195 KB 2018-02-21 Mark Johnson
